%global apiver 1.0

Name:           gst-transcoder
Version:        1.8.2
Release:        2%{?dist}
Summary:        GStreamer Transcoding API

Group:          Applications/Multimedia
License:        LGPLv2+
URL:            https://github.com/pitivi/%{name}
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  meson
BuildRequires:  gcc
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-pbutils-1.0)
BuildRequires:  gobject-introspection-devel

%description
%{summary}.

%package devel
Summary:        Development libraries and header files for %{name}
Requires:       %{name}%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}
# https://github.com/pitivi/gst-transcoder/issues/4
Requires:       gstreamer1-devel%{?_isa}

%description devel
%{summary}.

%prep
%autosetup

%build
%meson
%meson_build

%install
%meson_install

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%license LICENSE
%{_bindir}/%{name}-%{apiver}
%dir %{_libdir}/girepository-1.0/
%{_libdir}/girepository-1.0/GstTranscoder-%{apiver}.typelib
%{_libdir}/gstreamer-1.0/libgsttranscoderplugin.so
%{_libdir}/libgsttranscoder-%{apiver}.so.*

%files devel
%{_includedir}/gstreamer-1.0/gst/transcoder/
%{_libdir}/libgsttranscoder-%{apiver}.so
%{_libdir}/pkgconfig/%{name}-%{apiver}.pc
%dir %{_datadir}/gir-1.0/
%{_datadir}/gir-1.0/GstTranscoder-%{apiver}.gir

%changelog
* Tue Dec 13 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 1.8.2-2
- Use proper macro for building to not ignore CFLAGS and cetera
- Update summary/description
- Move gir under devel subpackage
- Other trivial fixes

* Mon Aug 08 2016 Jon Ciesla <limburgher@gmail.com> - 1.8.2-1
- 1.8.2

* Thu Jul 14 2016 Jon Ciesla <limburgher@gmail.com> - 1.8.1-1
- 1.8.1

* Thu Jul 14 2016 Jon Ciesla <limburgher@gmail.com> - 1.8.0-4
- Use %%{name} macro, tab/space fixes.

* Wed Jul 13 2016 Jon Ciesla <limburgher@gmail.com> - 1.8.0-3
- Add isa Requires, fix several macros

* Mon Jul 11 2016 Jon Ciesla <limburgher@gmail.com> - 1.8.0-2
- Fix directory ownership.

* Fri Jul 01 2016 Jon Ciesla <limburgher@gmail.com> - 1.8.0-1
- First build.
